Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -1094,21 +1082,20 @@
 &                  /(q10+qevap),'sol_nu 224')
           endif
-        endif  !if (iso_HDO.gt.0) then  
-        if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-          if (qevap.gt.ridicule_evap) then
+        endif  !if (iso_HDO.gt.0) THEN
+        if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+          if (qevap.gt.ridicule_evap) THEN
             CALL iso_verif_aberrant_o17(xtnu(iso_O17) &
 &               /qevap,xtnu(iso_O18)/qevap, &
 &               'iso_evap_nu 238')
-          endif !if (qevap(i).gt.ridicule_evap) then
-        endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+          endif !if (qevap(i).gt.ridicule_evap) THEN
+        endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #endif
 
 
 ! 3 e cas limite : f=1
-else !if (h.gt.0.99) then
-
-IF (f.gt.0.95) then
+else !if (h.gt.0.99) THEN
+IF (f.gt.0.95) THEN
 #ifdef ISOVERIF          
-!          write(*,*) 'sol_nu 139: f=',f
+!          WRITE(*,*) 'sol_nu 139: f=',f
 #endif          
   do ixt=1,niso
@@ -1133,24 +1120,24 @@
 &               'iso_evap_sol_nu 169')
     enddo
-    if (iso_eau.gt.0) then
+    if (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_choix(xtnu(iso_eau),qevap, &
 &           'sol_nu 151',errmax,errmaxrel)
-    endif !if (iso_eau.gt.0) then
-    if (iso_HDO.gt.0) then    
-        if (qevap.gt.ridicule_evap*1800) then  
+    endif !if (iso_eau.gt.0) THEN
+    if (iso_HDO.gt.0) THEN
+        if (qevap.gt.ridicule_evap*1800) THEN
           if (iso_verif_aberrant_nostop(xtnu(iso_HDO)/qevap, &
-&           'sol_nu 154').eq.1) then
-                write(*,*) 'deltaDRsol0=',deltaD(Rsol0(iso_HDO))
-                write(*,*) 'deltaDR1=',deltaD(R1(iso_HDO))
-                write(*,*) 'deltaD gama*R1=', &
+&           'sol_nu 154').eq.1) THEN
+                WRITE(*,*) 'deltaDRsol0=',deltaD(Rsol0(iso_HDO))
+                WRITE(*,*) 'deltaDR1=',deltaD(R1(iso_HDO))
+                WRITE(*,*) 'deltaD gama*R1=', &
 &                   deltaD(gama(iso_HDO)*R1(iso_HDO))
-                write(*,*) 'f=',f                        
-                write(*,*) 'qevap,L=',qevap,L
-                write(*,*) 'betaprime,h=',betaprime(iso_HDO),h
-                write(*,*) 'alphak,zxtalphal=', &
+                WRITE(*,*) 'f=',f
+                WRITE(*,*) 'qevap,L=',qevap,L
+                WRITE(*,*) 'betaprime,h=',betaprime(iso_HDO),h
+                WRITE(*,*) 'alphak,zxtalphal=', &
 &                           alphak(iso_HDO),zxtalphal(iso_HDO)
                 ! on ne stppe que si deltaD1new devient
                 ! aberrant.
-                write(*,*) 'deltaD1new=',deltaD((  &
+                WRITE(*,*) 'deltaD1new=',deltaD((  &
 &                   xtnu(iso_HDO)+q10*R1(iso_HDO))  &
 &                  /(q10+qevap))
@@ -1160,22 +1147,21 @@
 &                  'sol_nu 282')
            endif !if (iso_verif_aberrant_nostop
-        endif !if (qevap.gt.ridicule_evap*1800) then
+        endif !if (qevap.gt.ridicule_evap*1800) THEN
         CALL iso_verif_aberrant_choix(xtnu(iso_HDO), &
 &             qevap,ridicule,1e5,'sol_nu 269')
-    endif  !if (iso_HDO.gt.0) then 
-   if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-          if (qevap.gt.ridicule_evap) then
+    endif  !if (iso_HDO.gt.0) THEN
+   if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+          if (qevap.gt.ridicule_evap) THEN
             CALL iso_verif_aberrant_o17(xtnu(iso_O17) &
 &               /qevap,xtnu(iso_O18)/qevap, &
 &               'iso_evap_nu 307')
-          endif !if (qevap(i).gt.ridicule_evap) then
-        endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then 
-#endif
-else !if (f.gt.0.90) then
-
+          endif !if (qevap(i).gt.ridicule_evap) THEN
+        endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+#endif
+else !if (f.gt.0.90) THEN
 ! 4e cas simple: si h=0
-IF (h.lt.0.01) then
+IF (h.lt.0.01) THEN
 #ifdef ISOVERIF          
-write(*,*) 'sol_nu 165: h=',h
+WRITE(*,*) 'sol_nu 165: h=',h
 #endif        
 DO ixt=1,niso
@@ -1192,30 +1178,29 @@
 &               'iso_evap_sol_nu 206')
   enddo
-  if (iso_eau.gt.0) then
+  if (iso_eau.gt.0) THEN
      CALL iso_verif_egalite_choix(xtnu(iso_eau),qevap, &
 &           'sol_nu 168',errmax,errmaxrel)
-  endif !if (iso_eau.gt.0) then
-  if (iso_HDO.gt.0) then   
-    if (qevap.gt.ridicule_qsol) then
+  endif !if (iso_eau.gt.0) THEN
+  if (iso_HDO.gt.0) THEN
+    if (qevap.gt.ridicule_qsol) THEN
       CALL iso_verif_aberrant(xtnu(iso_HDO)/qevap, &
 &                   'sol_nu 171')
-    endif !if (qevap.gt.ridicule_qsol) then
+    endif !if (qevap.gt.ridicule_qsol) THEN
     CALL iso_verif_aberrant_choix(xtnu(iso_HDO), &
 &             qevap,ridicule,1e5,'sol_nu 302')
-  endif  !if (iso_HDO.gt.0) then  
-  if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-       if (qevap.gt.ridicule_evap) then
+  endif  !if (iso_HDO.gt.0) THEN
+  if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+       if (qevap.gt.ridicule_evap) THEN
             CALL iso_verif_aberrant_o17(xtnu(iso_O17) &
 &               /qevap,xtnu(iso_O18)/qevap, &
 &               'iso_evap_nu 347')
-       endif !if (qevap(i).gt.ridicule_evap) then
-   endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-#endif
-
-else !if (h.lt.0.01) then     
-
+       endif !if (qevap(i).gt.ridicule_evap) THEN
+   endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+#endif
+
+else !if (h.lt.0.01) THEN
 ! cas général
 #ifdef ISOVERIF      
-!      write(*,*) 'sol_nu 182: cas général'
+!      WRITE(*,*) 'sol_nu 182: cas général'
 #endif      
 DO ixt=1,niso
@@ -1230,26 +1215,26 @@
 #ifdef ISOVERIF
 DO ixt=1,niso
-!         write(*,*) 'qevap,Rsol0(ixt),f,betaprime(ixt)=',
+!         WRITE(*,*) 'qevap,Rsol0(ixt),f,betaprime(ixt)=',
 !     :         qevap,Rsol0(ixt),f,betaprime(ixt)  
  CALL iso_verif_noNAN(xtnu(ixt), &
 &               'iso_evap_sol_nu 234')
 END DO
-IF (iso_eau.gt.0) then
+IF (iso_eau.gt.0) THEN
   CALL iso_verif_egalite_choix(xtnu(iso_eau),qevap,   &
 &           'sol_nu 185',errmax,errmaxrel)
-END IF !if (iso_eau.gt.0) then
-IF (iso_HDO.gt.0) then
-   if (qevap.gt.ridicule_evap*1800) then
+END IF !if (iso_eau.gt.0) THEN
+IF (iso_HDO.gt.0) THEN
+   if (qevap.gt.ridicule_evap*1800) THEN
      if (iso_verif_aberrant_nostop(xtnu(iso_HDO)/qevap, &
-&           'sol_nu 189').eq.1) then
-       write(*,*) 'deltaDRsol0=',deltaD(Rsol0(iso_HDO))
-       write(*,*) 'deltaDR1=',deltaD(R1(iso_HDO))
-       write(*,*) 'deltaD gama*R1=', &
+&           'sol_nu 189').eq.1) THEN
+       WRITE(*,*) 'deltaDRsol0=',deltaD(Rsol0(iso_HDO))
+       WRITE(*,*) 'deltaDR1=',deltaD(R1(iso_HDO))
+       WRITE(*,*) 'deltaD gama*R1=', &
 &                   deltaD(gama(iso_HDO)*R1(iso_HDO))
-       write(*,*) 'f=',f
-       write(*,*) 'betaprime=',betaprime(iso_HDO)
+       WRITE(*,*) 'f=',f
+       WRITE(*,*) 'betaprime=',betaprime(iso_HDO)
        ! on ne stppe que si deltaD1new devient
        ! aberrant.
-       write(*,*) 'deltaD1new=',deltaD((  &
+       WRITE(*,*) 'deltaD1new=',deltaD((  &
 &                   xtnu(iso_HDO)+q10*R1(iso_HDO))  &
 &                  /(q10+qevap))
@@ -1259,34 +1244,33 @@
 &                  'sol_nu 321')
      endif !if (iso_verif_aberrant_nostop
-   endif !if (qevap.gt.ridicule_evap*1800) then
+   endif !if (qevap.gt.ridicule_evap*1800) THEN
    CALL iso_verif_aberrant_choix(xtnu(iso_HDO), &
 &             qevap,ridicule,1e5,'sol_nu 354')
-   if (qsol0-qevap.gt.ridicule_qsol*1e2) then
+   if (qsol0-qevap.gt.ridicule_qsol*1e2) THEN
      if (iso_verif_aberrant_nostop((qsol0*Rsol0(iso_HDO) &
 &           -xtnu(iso_HDO))/(qsol0-qevap)/faccond, &
-&         'evap_sol_nu, reste sol aberrant 375').eq.1) then
-       write(*,*) 'qsol0=',qsol0
-       write(*,*) 'deltaDRsol0=',deltaD(Rsol0(iso_HDO))
-       write(*,*) 'deltaD gama*R1=', &
+&         'evap_sol_nu, reste sol aberrant 375').eq.1) THEN
+       WRITE(*,*) 'qsol0=',qsol0
+       WRITE(*,*) 'deltaDRsol0=',deltaD(Rsol0(iso_HDO))
+       WRITE(*,*) 'deltaD gama*R1=', &
 &                   deltaD(gama(iso_HDO)*R1(iso_HDO))
-       write(*,*) 'deltaDevap=',deltaD(xtnu(iso_HDO)/qevap)
-       write(*,*) 'f,h=',f,h
+       WRITE(*,*) 'deltaDevap=',deltaD(xtnu(iso_HDO)/qevap)
+       WRITE(*,*) 'f,h=',f,h
        stop
      endif
    endif
- endif  !if (iso_HDO.gt.0) then  
- if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-     if (qevap.gt.ridicule_evap) then
+ endif  !if (iso_HDO.gt.0) THEN
+ if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+     if (qevap.gt.ridicule_evap) THEN
        CALL iso_verif_aberrant_o17(xtnu(iso_O17) &
 &               /qevap,xtnu(iso_O18)/qevap, &
 &               'iso_evap_nu 419')
-     endif !if (qevap(i).gt.ridicule_evap) then
-  endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-#endif
-END IF !if (h.lt.0.01) then
+     endif !if (qevap(i).gt.ridicule_evap) THEN
+  endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+#endif
+END IF !if (h.lt.0.01) THEN
 END IF ! if f>0.9
 END IF ! if h>0.99
-END IF !if (f.lt.ridicule) then
-
+END IF !if (f.lt.ridicule) THEN
 #ifdef ISOVERIF
 DO ixt=1,niso
@@ -1294,17 +1278,17 @@
 &               'iso_evap_sol_nu 194')
 END DO
-!       write(*,*) 'sol_nu tmp 252: xtnu(iso_eau),qevap=',
+!       WRITE(*,*) 'sol_nu tmp 252: xtnu(iso_eau),qevap=',
 !     :           xtnu(iso_eau),qevap
-IF (iso_eau.gt.0) then
+IF (iso_eau.gt.0) THEN
   CALL iso_verif_egalite_choix(xtnu(iso_eau),qevap,   &
 &           'sol_nu 244',errmax,errmaxrel)
-END IF !if (iso_eau.gt.0) then
-IF ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-  if (qevap.gt.ridicule_evap) then
+END IF !if (iso_eau.gt.0) THEN
+IF ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+  if (qevap.gt.ridicule_evap) THEN
      CALL iso_verif_aberrant_o17(xtnu(iso_O17) &
 &           /qevap,xtnu(iso_O18)/qevap, &
 &           'iso_evap_nu 443')
-  endif !if (qevap(i).gt.ridicule_evap) then
-END IF !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+  endif !if (qevap(i).gt.ridicule_evap) THEN
+END IF !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #endif       
 
@@ -1379,5 +1363,5 @@
        pt=max(ptin,pxtmin)
 
-       if ((iso_O17.gt.0).and.(kt.eq.iso_O17)) then
+       if ((iso_O17.gt.0).and.(kt.eq.iso_O17)) THEN
          pxtfra=(EXP(talph1(kt)/(pt**2)+talph2(kt)/pt+talph3(kt))) &
                  **fac_coeff_eq17_liq
@@ -1387,12 +1371,12 @@
 
 #ifdef ISOVERIF
-       if (pt.gt.pxtice) then
+       if (pt.gt.pxtice) THEN
            if (iso_verif_noNAN_nostop(pxtfra,'iso_fractcal 33') &
-                  .eq.1) then
-!             write(*,*) 'kt,pt=',kt,pt
-!             write(*,*) 'talph1(kt),talph2(kt),talph3(kt)=',
+                  .eq.1) THEN
+!             WRITE(*,*) 'kt,pt=',kt,pt
+!             WRITE(*,*) 'talph1(kt),talph2(kt),talph3(kt)=',
 !     :           talph1(kt),talph2(kt),talph3(kt)
            endif
-       endif !if (pt.gt.pxtice) then
+       endif !if (pt.gt.pxtice) THEN
 #endif       
        pxtfra=max(min(pxtfra,100.0),0.0)
@@ -1402,21 +1386,21 @@
 !c-----------------------------------------------------------
 
-       if ((iso_HTO.gt.0).and.(kt.eq.iso_HTO)) then
+       if ((iso_HTO.gt.0).and.(kt.eq.iso_HTO)) THEN
           pfraice=EXP(talps1(kt)/(pt**2)+talps2(kt)/pt)
 
-       elseif ((iso_HDO.gt.0).and.(kt.eq.iso_HDO)) then
+       elseif ((iso_HDO.gt.0).and.(kt.eq.iso_HDO)) THEN
           pfraice=EXP(talps1(kt)/(pt**2)+talps2(kt))
 
-       elseif ((iso_O18.gt.0).and.(kt.eq.iso_O18)) then
+       elseif ((iso_O18.gt.0).and.(kt.eq.iso_O18)) THEN
           pfraice=EXP(talps1(kt)/pt+talps2(kt))
 
-       elseif ((iso_O17.gt.0).and.(kt.eq.iso_O17)) then
+       elseif ((iso_O17.gt.0).and.(kt.eq.iso_O17)) THEN
           pfraice=(EXP(talps1(kt)/pt+talps2(kt))) &
                  **fac_coeff_eq17_ice
 
-       elseif ((iso_eau.gt.0).and.(kt.eq.iso_eau)) then
+       elseif ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
           pfraice=1.
        else
-           write(*,*) 'iso_fractcal 1404: non prévu: kt=',kt
+           WRITE(*,*) 'iso_fractcal 1404: non prévu: kt=',kt
 #ifdef ISOVERIF
            stop
@@ -1425,12 +1409,12 @@
 
 #ifdef ISOVERIF       
-       if (pt.lt.pxtmelt) then
+       if (pt.lt.pxtmelt) THEN
            if (iso_verif_noNAN_nostop(pfraice,'iso_fractcal 55') &
-                 .eq.1) then
-!              write(*,*) 'kt,pt=',kt,pt
-!              write(*,*) 'talps1(kt),talps2(kt)=',
+                 .eq.1) THEN
+!              WRITE(*,*) 'kt,pt=',kt,pt
+!              WRITE(*,*) 'talps1(kt),talps2(kt)=',
 !     &                   talps1(kt),talps2(kt)
            endif
-       endif !if (pt.lt.pxtmelt) then
+       endif !if (pt.lt.pxtmelt) THEN
 #endif       
        pfraice=max(min(pfraice,100.0),0.0)
@@ -1440,24 +1424,23 @@
 !c-----------------------------------------------------------
 
-       if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) then
+       if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
          pfraice=1.
-       else  !if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) then
-         if (pt.lt.pxtmelt) then
+       else  !if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
+         if (pt.lt.pxtmelt) THEN
            ZSATVAL=musi-lambda_sursat*(pt-ZCELS)
            pfraice=pfraice*(ZSATVAL/(1.+pfraice*(ZSATVAL-1.) &
                 *tdifrel(kt)))
-         endif !if (pt.lt.pxtmelt) then
-       endif !if ((kt.ne.iso_eau).or.(iso_eau.gt.0.ne.1)) then
-
+         endif !if (pt.lt.pxtmelt) THEN
+       endif !if ((kt.ne.iso_eau).or.(iso_eau.gt.0.ne.1)) THEN
 #ifdef ISOVERIF
          if (iso_verif_noNAN_nostop(pfraice,'iso_fractcal 73')  &
-                 .eq.1) then
-!            write(*,*) 'kt,pt=',kt,pt
-!            write(*,*) 'ZSATVAL,tdifrel(kt)=',ZSATVAL,tdifrel(kt)
+                 .eq.1) THEN
+!            WRITE(*,*) 'kt,pt=',kt,pt
+!            WRITE(*,*) 'ZSATVAL,tdifrel(kt)=',ZSATVAL,tdifrel(kt)
          endif
-         if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) then  
+         if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
              CALL iso_verif_egalite(pfraice,1.0,'iso_fractcal 63')
              CALL iso_verif_egalite(pxtfra,1.0,'iso_fractcal 67')
-         endif !if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) then  
+         endif !if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
 #endif
        pfraice=max(min(pfraice,100.0),0.0)
@@ -1504,5 +1487,5 @@
        pt=max(ptin,pxtmin)
 
-       if ((iso_O17.gt.0).and.(kt.eq.iso_O17)) then
+       if ((iso_O17.gt.0).and.(kt.eq.iso_O17)) THEN
          pxtfra=(EXP(talph1(kt)/(pt**2)+talph2(kt)/pt+talph3(kt))) &
                  **fac_coeff_eq17_liq
@@ -1512,13 +1495,13 @@
 
 #ifdef ISOVERIF
-       if (pt.gt.pxtice) then
+       if (pt.gt.pxtice) THEN
            if (iso_verif_noNAN_nostop(pxtfra,'iso_fractcal 33') &
-                  .eq.1) then
-!             write(*,*) 'kt,pt=',kt,pt
-!             write(*,*) 'talph1(kt),talph2(kt),talph3(kt)=',
+                  .eq.1) THEN
+!             WRITE(*,*) 'kt,pt=',kt,pt
+!             WRITE(*,*) 'talph1(kt),talph2(kt),talph3(kt)=',
 !     &           talph1(kt),talph2(kt),talph3(kt)
            endif
-       endif !if (pt.gt.pxtice) then
-       if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) then
+       endif !if (pt.gt.pxtice) THEN
+       if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
            CALL iso_verif_egalite(pxtfra,1.0,'iso_fractcal_phase 51')
        endif
@@ -1574,18 +1557,18 @@
 !c-----------------------------------------------------------
 
-       if ((iso_HTO.gt.0).and.(kt.eq.iso_HTO)) then
+       if ((iso_HTO.gt.0).and.(kt.eq.iso_HTO)) THEN
           pfraice=EXP(talps1(kt)/(pt**2)+talps2(kt)/pt)
 
-       elseif ((iso_HDO.gt.0).and.(kt.eq.iso_HDO)) then
+       elseif ((iso_HDO.gt.0).and.(kt.eq.iso_HDO)) THEN
           pfraice=EXP(talps1(kt)/(pt**2)+talps2(kt))
 
-       elseif ((iso_O18.gt.0).and.(kt.eq.iso_O18)) then
+       elseif ((iso_O18.gt.0).and.(kt.eq.iso_O18)) THEN
           pfraice=EXP(talps1(kt)/pt+talps2(kt))
-       elseif ((iso_O17.gt.0).and.(kt.eq.iso_O17)) then
+       elseif ((iso_O17.gt.0).and.(kt.eq.iso_O17)) THEN
           pfraice=(EXP(talps1(kt)/pt+talps2(kt)))**fac_coeff_eq17_ice
-       elseif ((iso_eau.gt.0).and.(kt.eq.iso_eau)) then
+       elseif ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
           pfraice=1.
        else
-           write(*,*) 'iso_fractcal 1676: non prévu: kt=',kt
+           WRITE(*,*) 'iso_fractcal 1676: non prévu: kt=',kt
 #ifdef ISOVERIF
            stop
@@ -1594,15 +1577,15 @@
 
 #ifdef ISOVERIF       
-       if (pt.lt.pxtmelt) then
+       if (pt.lt.pxtmelt) THEN
            if (iso_verif_noNAN_nostop(pfraice,'iso_fractcal 55') &
-                 .eq.1) then
-!              write(*,*) 'kt,pt=',kt,pt
-!              write(*,*) 'talps1(kt),talps2(kt)=',
+                 .eq.1) THEN
+!              WRITE(*,*) 'kt,pt=',kt,pt
+!              WRITE(*,*) 'talps1(kt),talps2(kt)=',
 !     :                   talps1(kt),talps2(kt)
            endif
-       endif !if (pt.lt.pxtmelt) then
+       endif !if (pt.lt.pxtmelt) THEN
 #endif       
        pfraice=max(min(pfraice,alpha_max),0.0)
-!       write(*,*) 'fractcalk tmp 130: kt,pfraice,fac_coeff_eq17_ice=',
+!       WRITE(*,*) 'fractcalk tmp 130: kt,pfraice,fac_coeff_eq17_ice=',
 !     :            kt,pfraice,fac_coeff_eq17_ice
 
@@ -1611,26 +1594,25 @@
 !c-----------------------------------------------------------
 
-       if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) then
+       if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
          pfraice=1.
-       else  !if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) then
-         if (pt.lt.pxtmelt) then
+       else  !if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
+         if (pt.lt.pxtmelt) THEN
            ZSATVAL=musi-lambda_sursat*(pt-ZCELS)
            pfraice=pfraice*(ZSATVAL/(1.+pfraice*(ZSATVAL-1.) &
                 *tdifrel(kt)))
-         endif !if (pt.lt.pxtmelt) then
-       endif !if ((kt.ne.iso_eau).or.(iso_eau.gt.0.ne.1)) then
-
+         endif !if (pt.lt.pxtmelt) THEN
+       endif !if ((kt.ne.iso_eau).or.(iso_eau.gt.0.ne.1)) THEN
 #ifdef ISOVERIF
          if (iso_verif_noNAN_nostop(pfraice,'iso_fractcal 73')  &
-                 .eq.1) then
-!            write(*,*) 'kt,pt=',kt,pt
-!            write(*,*) 'ZSATVAL,tdifrel(kt)=',ZSATVAL,tdifrel(kt)
+                 .eq.1) THEN
+!            WRITE(*,*) 'kt,pt=',kt,pt
+!            WRITE(*,*) 'ZSATVAL,tdifrel(kt)=',ZSATVAL,tdifrel(kt)
          endif
-         if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) then  
+         if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
              CALL iso_verif_egalite(pfraice,1.0,'iso_fractcal 63')
-         endif !if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) then  
+         endif !if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
 #endif
        pfraice=max(min(pfraice,alpha_max),0.0)
-!       write(*,*) 'fractcalk tmp 130: kt,pfraice=',kt,pfraice
+!       WRITE(*,*) 'fractcalk tmp 130: kt,pfraice=',kt,pfraice
 
       END SUBROUTINE  fractcalk_glace
@@ -1689,5 +1671,5 @@
       do ixt=1,niso ! *******************************
 
-       if ((iso_O17.gt.0).and.(ixt.eq.iso_O17)) then
+       if ((iso_O17.gt.0).and.(ixt.eq.iso_O17)) THEN
          do i=1,n
          pxtfra(ixt,i)=(EXP(talph1(ixt)/(pt(i)**2) &
@@ -1704,9 +1686,9 @@
 #ifdef ISOVERIF
        do i=1,n
-        if (pt(i).gt.pxtice) then
+        if (pt(i).gt.pxtice) THEN
            if (iso_verif_noNAN_nostop(pxtfra(ixt,i), &
-                 'iso_fractcal 33').eq.1) then
+                 'iso_fractcal 33').eq.1) THEN
            endif
-        endif !if (pt(i).gt.pxtice) then
+        endif !if (pt(i).gt.pxtice) THEN
        enddo
 #endif     
@@ -1720,29 +1702,29 @@
 !c-----------------------------------------------------------
 
-       if ((iso_HTO.gt.0).and.(ixt.eq.iso_HTO)) then
+       if ((iso_HTO.gt.0).and.(ixt.eq.iso_HTO)) THEN
          do i=1,n 
           pfraice(ixt,i)=EXP(talps1(ixt)/(pt(i)**2) &
                   +talps2(ixt)/pt(i))
          enddo !do i=1,n       
-       elseif ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then
+       elseif ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
          do i=1,n
           pfraice(ixt,i)=EXP(talps1(ixt)/(pt(i)**2) &
                  +talps2(ixt))
          enddo !do i=1,n       
-       elseif ((iso_O18.gt.0).and.(ixt.eq.iso_O18)) then
+       elseif ((iso_O18.gt.0).and.(ixt.eq.iso_O18)) THEN
          do i=1,n
           pfraice(ixt,i)=EXP(talps1(ixt)/pt(i)+talps2(ixt))
          enddo !do i=1,n 
-       elseif ((iso_O17.gt.0).and.(ixt.eq.iso_O17)) then
+       elseif ((iso_O17.gt.0).and.(ixt.eq.iso_O17)) THEN
          do i=1,n
           pfraice(ixt,i)=(EXP(talps1(ixt)/pt(i) &
                  +talps2(ixt)))**fac_coeff_eq17_ice
          enddo !do i=1,n 
-       elseif ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+       elseif ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
          do i=1,n
           pfraice(ixt,i)=1.
          enddo !do i=1,n 
        else
-           write(*,*) 'iso_fractcal 1734: non prévu: ixt=',ixt
+           WRITE(*,*) 'iso_fractcal 1734: non prévu: ixt=',ixt
 !#ifdef ISOVERIF
            CALL abort_physic('isotopes_routines_mod', 'iso_fractcal 1734', 1)
@@ -1752,9 +1734,9 @@
 #ifdef ISOVERIF  
        do i=1,n     
-         if (pt(i).lt.pxtmelt) then
+         if (pt(i).lt.pxtmelt) THEN
            if (iso_verif_noNAN_nostop(pfraice(ixt,i), &
-                 'iso_fractcal 55').eq.1) then
+                 'iso_fractcal 55').eq.1) THEN
            endif
-         endif !if (pt(i).lt.pxtmelt) then
+         endif !if (pt(i).lt.pxtmelt) THEN
        enddo !do i=1,n
 #endif   
@@ -1768,25 +1750,24 @@
 !c-----------------------------------------------------------
 
-       if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
-       else  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+       if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+       else  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
          do i=1,n   
-          if (pt(i).lt.pxtmelt) then
+          if (pt(i).lt.pxtmelt) THEN
            ZSATVAL(i)=musi-lambda_sursat*(pt(i)-ZCELS)
            pfraice(ixt,i)=pfraice(ixt,i) &
               *(ZSATVAL(i)/(1.+pfraice(ixt,i)*(ZSATVAL(i)-1.) &
               *tdifrel(ixt)))
-          endif !if (pt(i).lt.pxtmelt) then
+          endif !if (pt(i).lt.pxtmelt) THEN
          enddo ! do i=1,n 
-       endif !if ((ixt.ne.iso_eau).or.(iso_eau.gt.0.ne.1)) then
-
+       endif !if ((ixt.ne.iso_eau).or.(iso_eau.gt.0.ne.1)) THEN
 #ifdef ISOVERIF
        do i=1,n
          if (iso_verif_noNAN_nostop(pfraice(ixt,i), &
-                'iso_fractcal 73').eq.1) then
-!            write(*,*) 'ixt,pt(i)=',ixt,pt(i)
-!            write(*,*) 'ZSATVAL,tdifrel(ixt)=',ZSATVAL,tdifrel(ixt)
+                'iso_fractcal 73').eq.1) THEN
+!            WRITE(*,*) 'ixt,pt(i)=',ixt,pt(i)
+!            WRITE(*,*) 'ZSATVAL,tdifrel(ixt)=',ZSATVAL,tdifrel(ixt)
          endif
        enddo
-         if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then  
+         if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
             do i=1,n 
              CALL iso_verif_egalite(pfraice(ixt,i),1.0, &
@@ -1795,5 +1776,5 @@
                  'iso_fractcal 67')
             enddo ! do i=1,n 
-         endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then  
+         endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
 #endif
        do i=1,n
@@ -1852,5 +1833,5 @@
       do ixt=1,niso ! *******************************
 
-       if ((iso_O17.gt.0).and.(ixt.eq.iso_O17)) then
+       if ((iso_O17.gt.0).and.(ixt.eq.iso_O17)) THEN
          do i=1,n
          pxtfra(ixt,i)=(EXP(talph1(ixt)/(pt(i)**2) &
@@ -1867,9 +1848,9 @@
 #ifdef ISOVERIF
        do i=1,n
-        if (pt(i).gt.pxtice) then
+        if (pt(i).gt.pxtice) THEN
            if (iso_verif_noNAN_nostop(pxtfra(ixt,i), &
-                 'iso_fractcal 33').eq.1) then
+                 'iso_fractcal 33').eq.1) THEN
            endif
-        endif !if (pt(i).gt.pxtice) then
+        endif !if (pt(i).gt.pxtice) THEN
        enddo
 #endif     
@@ -1938,29 +1919,29 @@
 !c-----------------------------------------------------------
 
-       if ((iso_HTO.gt.0).and.(ixt.eq.iso_HTO)) then
+       if ((iso_HTO.gt.0).and.(ixt.eq.iso_HTO)) THEN
          do i=1,n 
           pfraice(ixt,i)=EXP(talps1(ixt)/(pt(i)**2) &
                   +talps2(ixt)/pt(i))
          enddo !do i=1,n       
-       elseif ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then
+       elseif ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
          do i=1,n
           pfraice(ixt,i)=EXP(talps1(ixt)/(pt(i)**2) &
                  +talps2(ixt))
          enddo !do i=1,n       
-       elseif ((iso_O18.gt.0).and.(ixt.eq.iso_O18)) then
+       elseif ((iso_O18.gt.0).and.(ixt.eq.iso_O18)) THEN
          do i=1,n
           pfraice(ixt,i)=EXP(talps1(ixt)/pt(i)+talps2(ixt))
          enddo !do i=1,n 
-       elseif ((iso_O17.gt.0).and.(ixt.eq.iso_O17)) then
+       elseif ((iso_O17.gt.0).and.(ixt.eq.iso_O17)) THEN
          do i=1,n
           pfraice(ixt,i)=(EXP(talps1(ixt)/pt(i)+talps2(ixt))) &
                  **fac_coeff_eq17_ice
          enddo !do i=1,n 
-       elseif ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+       elseif ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
          do i=1,n
           pfraice(ixt,i)=1.
          enddo !do i=1,n 
        else
-           write(*,*) 'iso_fractcal 1954: non prévu: ixt=',ixt
+           WRITE(*,*) 'iso_fractcal 1954: non prévu: ixt=',ixt
 !#ifdef ISOVERIF
           CALL abort_physic('isotopes_routines_mod', 'iso_fractcal 1954', 1)
@@ -1970,9 +1951,9 @@
 #ifdef ISOVERIF  
        do i=1,n     
-         if (pt(i).lt.pxtmelt) then
+         if (pt(i).lt.pxtmelt) THEN
            if (iso_verif_noNAN_nostop(pfraice(ixt,i), &
-                 'iso_fractcal 55').eq.1) then
+                 'iso_fractcal 55').eq.1) THEN
            endif
-         endif !if (pt(i).lt.pxtmelt) then
+         endif !if (pt(i).lt.pxtmelt) THEN
        enddo !do i=1,n
 #endif   
@@ -1986,30 +1967,29 @@
 !c-----------------------------------------------------------
 
-       if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
-       else  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+       if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+       else  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
          do i=1,n   
-          if (pt(i).lt.pxtmelt) then
+          if (pt(i).lt.pxtmelt) THEN
            ZSATVAL(i)=musi-lambda_sursat*(pt(i)-ZCELS)
            pfraice(ixt,i)=pfraice(ixt,i) &
               *(ZSATVAL(i)/(1.+pfraice(ixt,i)*(ZSATVAL(i)-1.) &
               *tdifrel(ixt)))
-          endif !if (pt(i).lt.pxtmelt) then
+          endif !if (pt(i).lt.pxtmelt) THEN
          enddo ! do i=1,n 
-       endif !if ((ixt.ne.iso_eau).or.(iso_eau.gt.0.ne.1)) then
-
+       endif !if ((ixt.ne.iso_eau).or.(iso_eau.gt.0.ne.1)) THEN
 #ifdef ISOVERIF
        do i=1,n
          if (iso_verif_noNAN_nostop(pfraice(ixt,i), &
-                'iso_fractcal 73').eq.1) then
-!            write(*,*) 'ixt,pt(i)=',ixt,pt(i)
-!            write(*,*) 'ZSATVAL,tdifrel(ixt)=',ZSATVAL,tdifrel(ixt)
+                'iso_fractcal 73').eq.1) THEN
+!            WRITE(*,*) 'ixt,pt(i)=',ixt,pt(i)
+!            WRITE(*,*) 'ZSATVAL,tdifrel(ixt)=',ZSATVAL,tdifrel(ixt)
          endif
        enddo
-         if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then  
+         if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
             do i=1,n 
              CALL iso_verif_egalite(pfraice(ixt,i),1.0, &
                         'iso_fractcal 63')
             enddo ! do i=1,n 
-         endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then  
+         endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
 #endif
        do i=1,n
@@ -2060,5 +2040,5 @@
 ! verif
 #ifdef ISOVERIF
-IF (iso_eau.gt.0) then
+IF (iso_eau.gt.0) THEN
   CALL iso_verif_egalite_choix((qsol(i)), &
 &           (xtsol(iso_eau,i)), &
@@ -2066,16 +2046,16 @@
   CALL iso_verif_egalite_choix(q1lay(i),xt1lay(iso_eau,i), &
 &           'iso_surf>calcul_Rsol 387',errmax,errmaxrel)
-!      write(*,*) 'qsol(i)=',qsol(i)
-!      write(*,*) 'xtsol(4,i)=',xtsol(4,i)
-END IF !if (iso_eau.gt.0) then
-IF (iso_HDO.gt.0) then
-  if (qsol(i).gt.ridicule_qsol*1e2) then
+!      WRITE(*,*) 'qsol(i)=',qsol(i)
+!      WRITE(*,*) 'xtsol(4,i)=',xtsol(4,i)
+END IF !if (iso_eau.gt.0) THEN
+IF (iso_HDO.gt.0) THEN
+  if (qsol(i).gt.ridicule_qsol*1e2) THEN
      CALL iso_verif_aberrant(( &
 &           xtsol(iso_HDO,i)/qsol(i))/faccond, &
 &           'iso_surf>calcul_Rsol 301')
- endif ! if (qsol(i).gt.ridicule_qsol) then
-END IF  !if (iso_HDO.gt.0) then
-IF ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-    if (qsol(i).gt.ridicule_qsol) then
+ endif ! if (qsol(i).gt.ridicule_qsol) THEN
+END IF  !if (iso_HDO.gt.0) THEN
+IF ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+    if (qsol(i).gt.ridicule_qsol) THEN
       CALL iso_verif_aberrant_o17( &
 &           (xtsol(iso_O17,i) &
@@ -2083,9 +2063,9 @@
 &           /qsol(i)),'iso_surf 401')
     endif !if ((qsol(i).gt.ridicule).and.(xtsol(iso_O18,i)
-END IF !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+END IF !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #endif
 ! end verif 
 
-IF (qsol(i).gt.ridicule_qsol) then
+IF (qsol(i).gt.ridicule_qsol) THEN
 DO ixt=1,niso
     Rsol(ixt)=xtsol(ixt,i)/qsol(i)             
@@ -2097,36 +2077,36 @@
     CALL iso_verif_noNAN(Rsol(ixt),'iso_surf>calcul_Rsol 3191')
   enddo !do ixt=1,niso
-  if (iso_eau.gt.0) then
+  if (iso_eau.gt.0) THEN
    if (iso_verif_egalite_choix_nostop(Rsol(iso_eau),1.0, &
 &           'iso_surf>calcul_Rsol 312',errmax,errmaxrel*10) &
-&           .eq.1) then
-      write(*,*) 'xtsol(ixt,i),qsol(i),ridicule_qsol=', &
+&           .eq.1) THEN
+      WRITE(*,*) 'xtsol(ixt,i),qsol(i),ridicule_qsol=', &
 &           xtsol(ixt,i),qsol(i),ridicule_qsol
       stop
    endif !if (iso_verif_egalite_choix_nostop(Rsol(iso_eau),1.0,   
-  endif !if (iso_eau.gt.0) then
-  if (iso_HDO.gt.0) then   
-    if (qsol(i).gt.ridicule_qsol*1e2) then
+  endif !if (iso_eau.gt.0) THEN
+  if (iso_HDO.gt.0) THEN
+    if (qsol(i).gt.ridicule_qsol*1e2) THEN
       CALL iso_verif_aberrant(Rsol(iso_HDO)/faccond, &
 &                  'iso_surf>calcul_Rsol 3201')
-    endif !if (qsol(i).gt.ridicule_qsol) then
-  endif  !if (iso_HDO.gt.0) then 
- if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-    if (qsol(i).gt.ridicule_qsol) then
+    endif !if (qsol(i).gt.ridicule_qsol) THEN
+  endif  !if (iso_HDO.gt.0) THEN
+ if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+    if (qsol(i).gt.ridicule_qsol) THEN
       CALL iso_verif_aberrant_o17(Rsol(iso_O17), &
 &           Rsol(iso_O18),'iso_surf 437')
     endif !if ((qsol(i).gt.ridicule).and.(xtsol(iso_O18,i)
- endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then 
+ endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #endif
 ! end verif 
 
-else !if (qsol(i).gt.ridicule_rain) then
-#ifdef ISOVERIF
- if (evap(i)*1800.0.gt.qsol(i)) then  
- write(*,*) 'iso_surf>calcul_Rsol 2989'
- write(*,*) 'qsol(i)=',qsol(i),' mais evap(i)=',evap(i)
+else !if (qsol(i).gt.ridicule_rain) THEN
+#ifdef ISOVERIF
+ if (evap(i)*1800.0.gt.qsol(i)) THEN
+ WRITE(*,*) 'iso_surf>calcul_Rsol 2989'
+ WRITE(*,*) 'qsol(i)=',qsol(i),' mais evap(i)=',evap(i)
  endif
 #endif         
- if (q1lay(i).gt.ridicule) then
+ if (q1lay(i).gt.ridicule) THEN
        ! on suppose que
        ! deltaDsol=deltaDprecip~deltaDcond(INB)~deltaDNK
@@ -2134,5 +2114,5 @@
       CALL fractcalk(ixt,t1lay(i),zxtalphal(ixt),zxtalphai(ixt))
      enddo
-     if (t1lay(i).ge.0.0) then   
+     if (t1lay(i).ge.0.0) THEN
          do ixt=1,niso              
             Rsol(ixt)=zxtalphal(ixt)*xt1lay(ixt,i)/q1lay(i) 
